#include <lemon/grid_graph.h>
#include <lemon/graph_adaptor.h>
#include <lemon/graph_to_eps.h>
#include <lemon/xy.h>

#include <iostream>
#include <fstream>

using namespace lemon;
using namespace std;

int main() {
  GridGraph graph(5, 7);
  GridGraph::NodeMap<xy<double> > coord(graph);
  for (int i = 0; i < graph.width(); ++i) {
    for (int j = 0; j < graph.height(); ++j) {
      coord[graph(i, j)] = xy<double>(i * 10.0, j * 10.0);
    }
  }
  graphToEps(graph, "grid_graph.eps").scaleToA4().
    title("Grid graph").
    copyright("(C) 2005 LEMON Project").
    coords(coord).
    enableParallel().
    nodeScale(.45).
    drawArrows().
    run();
  return 0;
}
